import { select, scaleOrdinal, scaleSqrt } from 'd3';
import { colorLegend } from './colorLegend';
import { sizeLegend } from './sizeLegend';

const svg = select('svg');

const colorScale = scaleOrdinal()
	.domain(['apple', 'lemon', 'lime', 'orange'])
	.range(['#c11d1d', '#eae600', 'green', 'orange']);

const sizeScale = scaleSqrt()
	.domain([0, 10])
	.range([0, 20]);

svg.append('g')
	.attr('transform', `translate(60, 180)`)
  .call(colorLegend, {
    colorScale, 
    circleRadius: 20,
    spacing: 50,
  	textOffset: 32
});

svg.append('g')
	.attr('transform', `translate(200, 180)`)
  .call(sizeLegend, {
    sizeScale, 
    spacing: 50,
  	textOffset: 32,
  	numTicks: 5,
  	circleFill: 'rgba(0, 0, 0, 0.5)'
});
