export const sizeLegend = (selection, props) => {
  
  const { sizeScale, spacing, textOffset, numTicks, circleFill } = props;
  // This is just the update selection.
  
  const ticks = sizeScale.ticks(numTicks).filter(d => d !== 0);
  const groups = selection.selectAll('g').data(ticks);
  
  const groupsEnter = groups.enter().append('g'); 
  
  groupsEnter
    .merge(groups)
    	.attr('transform', (d, i) => `translate(0, ${i * spacing})`);
  groups.exit().remove();
  
  groupsEnter.append('circle')
  		// .attr('cx', xPosition)
  		// .attr('cy', height/2)
  	.merge(groups.select('circle'))
      .attr('r', sizeScale)
  		.attr('fill', circleFill);
  
  groupsEnter.append('text')
  		// .attr('cx', xPosition)
  		// .attr('cy', height/2)
  	.merge(groups.select('text'))
      .text(d => d)
  		.attr('x', textOffset)
  		.attr('dy', '0.32em');
};
